/*********************************************************************
  yuv2rgb16mmx.hh

  purpose:

  notes:

  to do:

  author(s):
   - Dirk Farin, Kapellenweg 15, 72070 Tuebingen, Germany,
     email: farindk@trick.informatik.uni-stuttgart.de

  modifications:
   01/Feb/99 - Dirk Farin
     - interface definition
 *********************************************************************/

#ifndef DISPLAY_YUV2RGB16MMX_HH
#define DISPLAY_YUV2RGB16MMX_HH

#include "ulib/graphics/lowlevel/img2raw.hh"

class i2r_16bit_mmx : public Image2Raw_TransformYUV
{
public:
  virtual ~i2r_16bit_mmx() { }

  void SetMask(uint16 redmask,uint16 greenmask,uint16 bluemask);

  virtual void Transform(const Image_YUV<Pixel>&,uint8* mem);

  virtual const char* TransformationName() { return "YUV to 16bit RGB, MMX accelerated"; }

private:
  uint16 rmask,gmask,bmask;
  int    rshift,gshift,bshift;

  uint64 constants[20];
};

#endif
