
#include "ulib/qt/imgwidget.hh"
#include "ulib/x11/server.hh"
//#include "ulib/graphics/color/colorspace.hh"
#include "ulib/main.hh"

#if 0
#include <time.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <errno.h>
#endif

#include <iostream.h>
#include <iomanip.h>


ImageWidget_QT::ImageWidget_QT(QWidget* parent,const char* name)
  : QWidget(parent,name),
    d_initialized(false)
{
}


ImageWidget_QT::~ImageWidget_QT()
{
  Close();
}


void ImageWidget_QT::Close()
{
  ImageWindow_Autorefresh_X11::Close();
}


void ImageWidget_QT::Create(int w,int h,const char* title,const X11Server* server,Window id)
{
  resize(w,h);

  cout << "ImageWidget_QT::Create\n";
  ImageWindow_Autorefresh_X11::Create(w,h,title,server,winId());
}

